summaryrefslogtreecommitdiff
path: root/qa/386
diff options
context:
space:
mode:
Diffstat (limited to 'qa/386')
-rwxr-xr-xqa/38627
1 files changed, 27 insertions, 0 deletions
diff --git a/qa/386 b/qa/386
new file mode 100755
index 0000000..a6a740a
--- /dev/null
+++ b/qa/386
@@ -0,0 +1,27 @@
+#!/bin/sh
+# PCP QA Test No. 386
+# Run pducheck using valgrind (see also 284)
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_check_valgrind
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+
+_run_valgrind src/pducheck
+
+# all done
+exit